## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# DecimalFormatCacheStruct::DecimalFormatFindFunctor Struct Reference

`#include <ICUFormatNumberFunctor.hpp>`

Collaboration diagram for DecimalFormatCacheStruct::DecimalFormatFindFunctor:

[legend]
List of all members.

## Public Methods

- DecimalFormatFindFunctor (const XalanDecimalFormatSymbols *theDFS)
- bool operator() (DecimalFormatCacheStruct &theStruct) const

## Public Attributes

- const XalanDecimalFormatSymbols*
  const m_DFS

## Constructor & Destructor Documentation

DecimalFormatCacheStruct::DecimalFormatFindFunctor::DecimalFormatFindFunctor ( | const XalanDecimalFormatSymbols * theDFS )

## Member Function Documentation

bool DecimalFormatCacheStruct::DecimalFormatFindFunctor::operator() ( | DecimalFormatCacheStruct & theStruct ) const

## Member Data Documentation

const XalanDecimalFormatSymbols *const DecimalFormatCacheStruct::DecimalFormatFindFunctor::m_DFS

The documentation for this struct was generated from the following file:

- ICUFormatNumberFunctor.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.